#!/usr/bin/env bash
if [[ "${1}" == "-u" ]]; then
    echo "Uninstalling cast"
    sudo rm /usr/local/bin/cast /usr/share/applications/cast.desktop
    echo "If you wish you can now manually remove the dependencies"
    exit 0
elif [[ "${1}" == "-h" ]]; then
    echo "Usage: $0 [-u|-h]
    -h   show this message
    -u   uninstall cast"
    exit 0
fi

sudo apt install $(cat dpkg.lst | tr '\n' ' ')
sudo cp src/main.py /usr/bin/cast
sudo chmod +x /usr/bin/cast
sudo cp -a src/{Channel,ChannelProvider,Items,Utils} /usr/lib/python3/dist-packages/
sudo cp -a src/{Channel,ChannelProvider,Items,Utils} /usr/lib/python3.9/
sudo cp -a src/{Channel,ChannelProvider,Items,Utils} /usr/lib/python3.10/
sudo cp data/org.smolnet.cast.desktop /usr/share/applications/
exit 0
